Deployments.ai Docs
Evaluations

List per-case results of an evaluation run

GET /v1/evaluation-runs/{evaluationRunId}/results · SDK listEvaluationRunResults · CLI deployments eval run results

GET
/v1/evaluation-runs/{evaluationRunId}/results

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

evaluationRunId*string

Evaluation run ID.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListEvaluationRunResultsResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/evaluation-runs/string/results" \  -H "x-deployments-organization: string" \  -H "x-deployments-project: string" \  -H "x-deployments-environment: string"
{  "items": [    {      "caseKey": "string",      "completedAt": "2019-08-24T14:15:22Z",      "costUsdMicros": 0,      "datasetCaseId": "string",      "error": {        "code": "string",        "message": "string"      },      "latencyMs": 0,      "notApplicable": [        "string"      ],      "runId": "string",      "runStatus": "string",      "scores": [        {          "errorClass": "evaluator_failed",          "executionStatus": "error",          "passed": true,          "revision": 0,          "scoreDefinitionId": "string",          "value": 0        }      ],      "sourceTraceId": "string",      "status": "dispatched",      "submittedAt": "2019-08-24T14:15:22Z",      "threadId": "string",      "totalTokens": 0,      "traceId": "string"    }  ],  "nextCursor": "string"}